Bug 1293016 - [GSS](6.4.z) EJB Passivation can fail from StackOverflowError with no message logged
[GSS](6.4.z) EJB Passivation can fail from StackOverflowError with no message...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.4.6
Unspecified Unspecified
high Severity high
: CR1
: EAP 6.4.7
Assigned To: Tomas Hofman
Jan Martiska
https://github.com/jbossas/jboss-eap/...
:
Depends On:
Blocks: 1301624 eap647-payload
  Show dependency treegraph
 
Reported: 2015-12-19 02:01 EST by Brad Maxwell
Modified: 2017-01-17 07:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1301624 (view as bug list)
Environment:
Last Closed: 2017-01-17 07:00:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2191891 None None None 2016-03-07 19:39 EST

  None (edit)
Description Brad Maxwell 2015-12-19 02:01:19 EST
The call stack is below. There are some catches in some of the calls, but none are catching any of these and logging it.  The StackOverflowError is thrown up, but PassivateTask is running in a separate thread, so it appears the exception is thrown up to the JDK classes below and is never logged.

We need to catch Throwable at some point and log a message, also need to make sure that we are taking the correct action when it occurs since it failed to passivate.

java.lang.Throwable
    java.lang.Error
        java.lang.VirtualMachineError
            java.lang.StackOverflowError

org.jboss.as.ejb3.cache.spi.impl.FilePersistentObjectStore.store(FilePersistentObjectStore.java:262)
 	at org.jboss.as.ejb3.cache.spi.impl.FilePersistentObjectStore.store(FilePersistentObjectStore.java:57)
 	at org.jboss.as.ejb3.cache.impl.backing.SimpleBackingCacheEntryStore.passivate(SimpleBackingCacheEntryStore.java:162)
 	at org.jboss.as.ejb3.cache.impl.backing.SerializationGroupMemberContainer.passivate(SerializationGroupMemberContainer.java:299)
 	at org.jboss.as.ejb3.cache.impl.backing.SerializationGroupMemberContainer.passivate(SerializationGroupMemberContainer.java:51) - What is this?
 	at org.jboss.as.ejb3.cache.impl.backing.PassivatingBackingCacheImpl.passivate(PassivatingBackingCacheImpl.java:199)
 	at org.jboss.as.ejb3.cache.impl.backing.PassivatingBackingCacheImpl.passivate(PassivatingBackingCacheImpl.java:58)
 	at org.jboss.as.ejb3.cache.spi.impl.PassivateTask.run(PassivateTask.java:46)
 	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
 	at java.util.concurrent.FutureTask.run(FutureTask.java:262)
 	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:178)
 	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:292)
 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
 	at java.lang.Thread.run(Thread.java:744)
Comment 8 Dominik Pospisil 2016-02-16 04:26:28 EST
dev-acking - PR ready, no upstream
Comment 9 Jiří Bílek 2016-03-03 08:02:46 EST
Verified with EAP 6.4.7.CP.CR2.
Comment 10 Petr Penicka 2017-01-17 07:00:13 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.